
#ifndef _JOGO_H_
#define _JOGO_H_

#include <string>
#include "Forca.h"
#include "Repositorio.h"

class Jogo {
private:
    string historico;
    int qtdErros;    // quantidade atual erros
    int qtdMaxErros; // quantidade máxima de erros
    Forca forca;
public:
    /**
     * Contrutor:
     *      @qtdMaxErros:
     *          Quantidade máxima de letras que um jogador pode errar
     *      @abc:
     *                      
     */ 
    Jogo( int qtdMaxErros  );
    /**
     * Método principal
     */
    void jogar(); 
};

#endif
