#ifndef _FORCA_H_ // previne a definição múltipla de classes
#define _FORCA_H_ 
/**
Forca
-----
    * Possui uma string (palavra procurada)
    * Possui uma string para ser exibida
    * Possui um método para adicionar uma letra
    * Possui um método para verificar se ganhou
*/
#include <string>
#include <iostream>
using namespace std;
class Forca {
private:
    string procurada;
    string mascara;
public:
    Forca(); 
  
    Forca( string procurada );
    
    string getMascara();
    
    string getProcurada();
    /**
     * Retorn true    se acertou
     *        false   caso contrario
     */
    bool adicionaLetra( char letra );
    
    bool verificaSeGanhou();
    
    void imprimeMascara();
};
#endif
