//Este é o arquivo Jogo.cpp
#include "Jogo.h"
Jogo::Jogo( int qtdMaxErros  ) : qtdMaxErros (qtdMaxErros) {
    Repositorio rep("palavras.txt");
    // Chamando o construtor depois da declaração
    forca = Forca( rep.seleciona() ); 
    qtdErros = 0;
}
    
void Jogo::jogar() {
    while(  qtdErros < qtdMaxErros && 
            forca.verificaSeGanhou() == false ) {
        system("clear");
        cout << "Letras digitadas: " << historico << endl;
        cout << "Você possui " << (qtdMaxErros - qtdErros) << " chances" << endl;
        forca.imprimeMascara();
        char letra;
        cout << "Entre com uma letra: ";
        cin  >> letra;
        historico += letra;
        historico += ' ';
        if( forca.adicionaLetra( letra ) == false )
            // Jogador errou
            qtdErros++;
            
        
    }
    if( forca.verificaSeGanhou() == true )
        cout << "Você ganhou" << endl;
    else
        cout << "Você perdeu" << endl;
    
    cout << "Palavra procurada: " << forca.getProcurada() << endl;
}
